Ir para o conteúdo principal

API de Estatísticas Portuárias (DESCONTINUADA)

Pré-requisitos

Autenticar - Envie suas credenciais de usuário, ID do cliente e segredo do cliente para OAuth2. Autenticação. Consulte Autenticação de API para obter instruções sobre como chamar a API OAuth para validar e autenticar suas credenciais.

Obter estatísticas de uma porta específica

Para obter as estatísticas de utilização de largura de banda da porta, envie uma solicitação GET para o endpoint /fabric/v4/ports/{uuid}/stats. Especifique a porta pelo ID no caminho da solicitação. Especifique o período para as estatísticas como parâmetros de consulta usando carimbos de data e hora no padrão ISO-8601.

MethodGET
URL or Endpoint/fabric/v4/ports/{uuid}/stats
HeadersAuthorization, Content-Type
Path Parametersuuid
Query ParametersstartDateTime, endDateTime
Body ParametersNot applicable

Exemplo de solicitar cURL:

curl -X GET 'https://api.equinix.com/fabric/v4/ports/{port_id}/stats?startDateTime=2021-01-07T19:26:22Z&endDateTime=2021-01-26T19:55:22Z'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'

Exemplo de resposta:

{
    "type": "XF_PORT",
    "uuid": "xxxxx191-xx70-xxxx-xx04-xxxxxxxa37xx",
    "name": "Equinix-EM-CX-xxx-L-Dot1q-BO-100G-PRI-xx",

    "bandwidth": 10000,
    "stats": {
        "startDateTime": "2021-02-24T16:00:00Z",
        "endDateTime": "2021-02-25T23:59:44Z",
        "bandwidthUtilization": {
        "unit": "Mbps",
        "metricInterval": "PT5M",
        "inbound": {
            "max": 36.46022222224523,
            "mean": 12.681258259259257,
            "lastPolled": 24.67873548,
            "metrics": [
            {
                "intervalEndDateTime": "2021-02-24T16:00:00Z",
                "max": 24.197777777777777,
                "mean": 9.460203703703565
            },
            {
                "intervalEndDateTime": "2021-02-24T16:05:00Z",
                "max": 29.237066666666667,
                "mean": 11.487487592592595
            },
            {
                "intervalEndDateTime": "2021-02-24T16:10:00Z",
                "max": 31.2726757889999,
                "mean": 11.77661203703704
            },
            {
                "intervalEndDateTime": "2021-03-04T16:15:00Z",
                "max": 28.179666666666666,
                "mean": 7.414631481481509
            },
            {
                "intervalEndDateTime": "2021-03-15T16:20:00Z",
                "max": 29.29311111111111,
                "mean": 6.247431481481508
            }
            ]
        },
        "outbound": {
            "max": 60.33548888888889,
            "mean": 41.22711543985719,
            "lastPolled": 55.14977777777778,
            "metrics": [
            {
                "intervalEndDateTime": "2021-02-24T16:00:00Z",
                "max": 53.790333333333336,
                "mean": 39.80057592592591
            },
            {
                "intervalEndDateTime": "2021-02-24T16:05:00Z",
                "max": 57.353,
                "mean": 38.678568800295
            },
            {
                "intervalEndDateTime": "2021-02-24T16:10:00Z",
                "max": 59.32777777777778,
                "mean": 35.08689444444445
            },
            {
                "intervalEndDateTime": "2021-02-24T16:15:00Z",
                "max": 537274933333333300,
                "mean": 23.855259259259284
            },
            {
                "intervalEndDateTime": "2021-02-24T16:20:00Z",
                "max": 57.75604444444444,
                "mean": 41.36731129629629
            }
            ]
        }
        }
    }
}

Para obter descrições detalhadas dos campos de resposta, consulte a Referência da API.

Esta página foi útil?